
Figure - Bug #117367
Bug # 116375 (CLOSED): 【AF】【EVT2】【ST】【Storage】【客户验证】使用应用宝或其他应用商店下载软件，当软件下载超过110G左右后，下载内容

保存到System路径中，设备重启后就恢复正常保存在应用或者游戏路径

【AF】【EVT3】【ST】【tlog】【客户验证】使用应用宝下载软件填满设备，在填满后，不断的卸载已安装
的应用，再次下载新的应用安装。观察系统分区的尺寸，如果系统分区尺寸已经明显增长了很多个G后(为了
确保复现问题可以等增长10个G)，可以暂停下载安装应用，此时随着时间增加，系统分区尺寸会不断增加
2023-04-10 11:12 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-04-10

Priority: High Due date: 2023-04-17

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: ALL

Resolution: FIXED Degrated: Yes

Severity: Major Verified Version:

Reproducibility: Frequently Fixed Version: 2023-04-14

Test Type: ST Root cause: 当设备存储满了之后tlog还是一直在跑，导致一直在打log报错，最后系统分区增加

Description

【前提条件】

None

【测试步骤】

1. 使用应用宝下载软件填满设备

2. 在填满后，不断的卸载已安装的应用，再次下载新的应用安装。观察系统分区的尺寸

3. 如果系统分区尺寸已经明显增长了很多个G后(为了确保复现问题可以等增长10个G)，可以暂停下载安装应用

4. 此时随着时间增加，系统分区尺寸会不断增加

【预期结果】

停止下载后，内存不异常增加

【实际结果】

正常情况系统分区仅占10多个G，发生问题时，随着时间一直缓慢增长，从观察到异常增长时大约30个G，到截图时已经接近80个G(大

概四五个小时左右)

日志：ftp /Pre_figure/Test_Log/Bug_116375/memory.txt

History

#1 - 2023-04-11 18:29 - CD SYSTEM-夏旭

- Status changed from New to ASSIGNED

- % Done changed from 0 to 50

■ 我的分析

这个log是在每次写入log文件的时候打印的，但是由于设备已经没有存储了，所以会一直打印

tlog没有内存的时候不会写入文件，但是进程一直都在，一直都会打log，需要调整tlog

■ 下一步计划

把这个log删除，复现问题看是否会出现这类问题
#2 - 2023-04-12 11:44 - CD SYSTEM-夏旭

- Due date set to 2023-04-17

#3 - 2023-04-12 18:03 - CD SYSTEM-夏旭

■ 我的分析

在存储满的时候，tlog一直在读写，但是没有多余的存储，

所以修改为当把tlog文件全部删除都还是不能到达设定的最小存储时就关闭tlog

本地验证OK，没有继续打tlog相关的log，但是能看都一直在打印重复的log，但好像系统分区没有增加

01-01 12:18:02.637     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x85

01-01 12:18:02.646     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 12:18:02.652     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x85 err

01-01 12:18:02.755     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 12:18:02.767     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x85

01-01 12:18:02.778     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 12:18:02.783     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x85 err

01-01 12:18:02.888     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 12:18:02.901     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x85

01-01 12:18:02.911     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 12:18:02.916     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x8B err

01-01 12:18:03.020     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 12:18:03.033     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x8b

01-01 12:18:03.043     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 12:18:03.048     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x8B err

01-01 12:18:03.151     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 12:18:03.164     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x8b

01-01 12:18:03.174     0     0 E i2c_geni 980000.i2c: i2c error :-107

■ 下一步计划

VB验证，看看问题是否会复现

#4 - 2023-04-13 17:12 - CD SYSTEM-夏旭

- % Done changed from 50 to 100

VB版本没有复现，存储满了之后没有打印tlog相关日志

系统分区也没有增加

#5 - 2023-04-14 13:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193323 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com

SYSTEM: Tlog: Close tlog when there is no storageWhen there is no storage, if the tlog is still there,it will continue to report errors,so now it is turned off when there

is no storageTC-RID: 1200-0800102IssueID: TS-R-DF-117367Change-Id: I3d644886b7ae863c6239187e77dc798a76a2b592
#6 - 2023-04-14 14:12 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- Resolution changed from -- to FIXED

- Degrated changed from -- to Yes

- Fixed Version set to 2023-04-14

- Root cause set to 当设备存储满了之后tlog还是一直在跑，导致一直在打log报错，最后系统分区增加

■ Current conclusion

已处理。设备满存储之后，系统分区没有增加

■ My analysis

当设备存储满了之后tlog还是一直在跑，导致一直在打log报错，最后系统分区增加

■ Next action 

测试验证

#7 - 2023-04-15 18:02 - 移动测试一组_CDTS 刘强

20230415：需要准备环境，下载大量apk验证，当日暂无结果

#8 - 2023-04-17 17:52 - CDTS_Test 吴诗雨

验证版本：0417DB

验证的情况如下：

1、用华为应用市场下载软件，会增加一部分的系统内存，装满内存，系统内存在29G左右。在内存装满后（128G），卸载一些应用到120G，再下载应用

装满128G，重复操作四次，系统应用整个过程中没有变化。在这之后静止了30min，系统内存没有增加。

2、用应用宝下载软件，系统内存为12G一直没变。在内存装满后，卸载一部分的APP，再装载新的APP，重复操作两次，系统内存也一致没有发生变化

。

3、操作过的设备，有一台会放置到明天早上，看情况。

#9 - 2023-04-18 10:01 - CDTS_Test 吴诗雨

操作过的设备,放置一晚，系统内存未发生变化

#10 - 2023-04-18 17:08 - 移动测试一组_CDTS 刘强

根据上述结果，验证通过，等客户测验证无误后关闭issue

#11 - 2023-05-15 19:27 - 移动测试一组_CDTS 刘强

- Subject changed from 【AF】【EVT3】【ST】【tlog】使用应用宝下载软件填满设备，在填满后，不断的卸载已安装的应用，再次下载新的应用安装。观

察系统分区的尺寸，如果系统分区尺寸已经明显增长了很多个G后(为了确保复现问题可以等增长10个G)，可以暂停下载安装应用，此时随着时间增加，

系统分区尺寸会不断增加 to 【AF】【EVT3】【ST】【tlog】【客户验证】使用应用宝下载软件填满设备，在填满后，不断的卸载已安装的应用，再次下

载新的应用安装。观察系统分区的尺寸，如果系统分区尺寸已经明显增长了很多个G后(为了确保复现问题可以等增长10个G)，可以暂停下载安装应用，

此时随着时间增加，系统分区尺寸会不断增加

#12 - 2023-06-12 14:58 - CD TEST-方永红
- Status changed from RESOLVED to VERIFIED

#13 - 2023-06-12 14:58 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
